Chat

Delete message

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
DELETE/api/chat/projects/{projectId}/chats/{chatId}/messages/{messageId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.deleteMessage("proj_HjZbWpj7rBtC", "QuVch1xAns8Atn5N", "The Oliver Salad is the latest in a series of oblong products from Braun - Volkman");
const { data: result } = await chat.deleteMessage("proj_HjZbWpj7rBtC", "QuVch1xAns8Atn5N", "The Oliver Salad is the latest in a series of oblong products from Braun - Volkman");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes
messageIdstringYes

Responses

200Message deleted
json
{
  "message": "Message deleted successfully"
}
{
  "message": "Message deleted successfully"
}
401
403
404

Errors

CodeMeaning
401
403
404
Edit this page on GitHub